Bug 124984 - Organize basic macro: newly added module doesn't show up
Summary: Organize basic macro: newly added module doesn't show up
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-04-26 14:19 UTC by Miklos Vajna
Modified: 2019-04-29 19:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SvTreeList::Select(SvListView *,SvTreeListEntry *,bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2019-04-26 14:19:00 UTC
1) Start Writer
2) Tools -> Macros -> Record macro
3) Press a key
4) Stop recording
5) New Module -> Accept "Module 2" as name

Actual result: Module2 doesn't show up (works after collapse+expand of Standard)

Expect result: Module2 shows up

Note: the 'gen' backend is worse, there we just crash on step 5).

Bad with commit e913727c7ee3af0bb4031c6829abfb3373306492, good with commit a20a2d7e0d28658f2d9089da076961a599833a28; though bisecting the gtk3 case leads to a lot of crashes, so I could not bisect it.

Bisect for the gen case:

$ git bisect good
622dddb2bb4f6617978b621c3b0cf3e17fa122ea is the first bad commit
commit 622dddb2bb4f6617978b621c3b0cf3e17fa122ea
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Nov 28 03:39:17 2018 +0100

    source sha:97bbffc917deba872090667e9dc096ecec99d557
    
    source sha:97bbffc917deba872090667e9dc096ecec99d557

:040000 040000 57b5d4ce0c4ab7941f6206508f83b7961cb03af9 b5ceedbe15662b10458aa478696b7d0642e7646a M      instdir

$ git show -s 97bbffc917deba872090667e9dc096ecec99d557
commit 97bbffc917deba872090667e9dc096ecec99d557
Date:   Mon Nov 5 21:01:23 2018 +0000

    weld TreeView
Comment 1 Commit Notification 2019-04-27 19:39:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a83963b463df5c8737fba43d9fff7e1236d2670b%5E%21

Resolves: tdf#124984 organize basic macro new added module doesn't show up

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Miklos Vajna 2019-04-29 07:25:47 UTC
Thanks! :-)
Comment 3 Commit Notification 2019-04-29 16:54:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5bb99883d383561d7c74f2f2a3cb41060137ebaf%5E%21

Resolves: tdf#124984 organize basic macro new added module doesn't show up

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-04-29 19:31:32 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 101eea01c778ad255d3c8467e06643b23ff6bd76
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!